The folder code contains a folder for each experiment, named after the corresponding Section (section4-1-2 to section4-2-2). For all experiments the code is structured as follows:
-channel.inp: domain
-gascoigne.param: parameter file, including among other parameters timestep size, total number of timesteps, gridcell size
-loop.cc & loop.h: main program. It includes advection scheme for the tracers (void Loop::SolveTransport), loop for time iteration (void Loop::run) which calls the momentum and transport problem
-myequation.cc & myequation.h: includes the momentum equation in void MyEquation::Form (definition of PDE) and the derivative of the PDE used in the Newton scheme in void MyEquation::Matrix. The oceanic stresses are defined in void MyEquation::point
-problem.h: includes the wind stress in class MyRightHandSide, initialisation of ice thickness and ice concentration in class TGDirichletData and initialisation of the indicator function in class PhiDirichletData.
-solver.cc & solver.h: modified Newton solver
-run.sh: bash file to start the program

For the hybrid model used in Section 4.2 an additional lib folder is used:
-particle.cc & particle.h: calculates the particle mass, volume and area. Includes the particle advection (inline void advect).
-element.h: ice concentration and ice volume for each cell are estimated based on the particle position (inline  std::array<double,9>  icevolume() const and inline  std::array<double,9>  iceconcentration() const). Includes the particle collision function (inline void collide_two_particles).
-boundaryline.h: Includes boundary collisions (void flip), the function is called in element.h (inline void collide_boundary).
-gascoignetransfer.cc & gascoignetransfer.h: Includes the velocity transfer to the lattice (void velocity_seaice_to_lattice), the averaging over all particles in one cell (void seaice_tracers_to_cell) and creating a list which assigns a cell to an element ID (void init_seaice_velocity_to_lattice).
-lattice.cc & lattice.h: Creates lattice structure.

note: in the hybrid model the initialisation of the ice thickness, ice concentraton and iceberg-particles is done in the loop.cc file instead of problem.h

The folder figures has a folder for each figure (fig2 - fig8) including the vtk-files used for the figures. The vtk-files for the test cases using the parametrisation are called vp_tension, otherwise it is vp_standard. The h.vtk files contain the ice-mélange thickness and concentration. For fig2 - fig4 the phi.vtk is used to plot the iceberg contour. The particle information for fig5 - fig8 is stored in p.vtk. 
